FORMAT(8S)

NAME
format - disk partitioning and maintenance utility

SYNOPSIS
format [ -f command-file ] [ -l log-file ] [ -x data-file ] [ -d disk-name ] [ -t disk_type ]
[ -p partition-name ] [ -s ] diskname...

DESCRIPTION

format enables you to format, label, repair and analyze disks on your Sun computer. Unlike previous disk maintenance programs, format runs under SunOS. Because there are limitations to what can be done to the system disk while the system is running, format is also supported within the memory-resident system environment. For most applications, however, running format under SunOS is the more convenient approach.

If no disk-list is present, format uses the disk list defined in the data file specified with the -x option. If that option is omitted, the data file defaults to format.dat in the current directory, or else /etc/format.dat.

OPTIONS

-f command-file
    Take command input from command-file rather than the standard input. The file must contain commands that appear just as they would if they had been entered from the keyboard. With this option, format does not issue continue? prompts.

-l log-file
    Log a transcript of the format session to the indicated log-file, including the standard input, the standard output and the standard error.

-x data-file
    Use the disk list contained in data-file.

-d disk_name
    Specify which disk should be made current upon entry into the program. The disk is specified by its logical name (for instance, - xy0). This can also be accomplished by specifying a single disk in the disk list.

-t disk-type
    Specify the type of disk which is current upon entry into the program, A disk's type is specified by name in the data file. This option can only be used if a disk is being made current as described above.

-p partition-name
    Specify the partition table for the disk which is current upon entry into the program. The table is specified by its name as defined in the data file. This option can only be used if a disk is being made current, and its type is either specified or available from the disk label.

-s  Silent. Suppress all of the standard output. Error messages are still displayed. This is generally used in conjunction with the -f option.

FILES
/etc/format.dat
    default data file

SEE ALSO